curl --request GET \
--url https://api.komerza.com/stores/{storeId}/categories/{categoryId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"visibility": 0,
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"imageNames": [
"<string>"
],
"rating": 123,
"order": 123,
"visibility": 0,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 123,
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"requireDiscordAuthorization": true,
"type": 0,
"deliveryTypes": [
"<string>"
],
"imageNames": [
"<string>"
],
"stock": 123,
"stockMode": 0,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 123
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"volumeDiscounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"discountType": 0,
"discountValue": 123
}
],
"disableVolumeDiscountOnCoupon": true,
"subscriptionPeriod": "<string>",
"subscriptionId": "<string>"
}
],
"isBestSeller": true,
"affiliateDiscountMode": 123,
"slug": "<string>",
"metadata": "<string>",
"customAffiliateDiscountPercentage": 123
}
],
"slug": "<string>",
"imageName": "<string>"
}
}Retrieves a category by its ID with full product details.
Requires the stores.categories.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/categories/{categoryId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"visibility": 0,
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"imageNames": [
"<string>"
],
"rating": 123,
"order": 123,
"visibility": 0,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 123,
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"requireDiscordAuthorization": true,
"type": 0,
"deliveryTypes": [
"<string>"
],
"imageNames": [
"<string>"
],
"stock": 123,
"stockMode": 0,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 123
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"volumeDiscounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"discountType": 0,
"discountValue": 123
}
],
"disableVolumeDiscountOnCoupon": true,
"subscriptionPeriod": "<string>",
"subscriptionId": "<string>"
}
],
"isBestSeller": true,
"affiliateDiscountMode": 123,
"slug": "<string>",
"metadata": "<string>",
"customAffiliateDiscountPercentage": 123
}
],
"slug": "<string>",
"imageName": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.komerza.com/llms.txt
Use this file to discover all available pages before exploring further.
Your API key goes here
The ID of the store the category belongs to
The ID of the category to get
The object was successfully returned.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents a category within a store for organizing products
Show child attributes
Was this page helpful?